Bug 1253265 - Libvirt Hyper-V Issue
Libvirt Hyper-V Issue
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 07:14 EDT by Nagaraj
Modified: 2016-04-28 09:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-10 18:25:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nagaraj 2015-08-13 07:14:53 EDT
Description of problem:
[root@spectre libvirt-1.2.16]# virsh connect hyperv://192.168.1.18/?transport=http
Enter username for 192.168.1.18 [administrator]: administrator
Enter administrator's password for 192.168.1.18:
2015-08-13 10:46:47.433+0000: 23223: info : libvirt version: 1.2.16
2015-08-13 10:46:47.433+0000: 23223: error : hypervDebugHandler:1366 : openwsman error: not enough (0 < 1) instances of element EnabledState;
2015-08-13 10:46:47.434+0000: 23223: error : hypervDebugHandler:1366 : openwsman error: handling of element "EnabledState;" failed = -3
2015-08-13 10:46:47.435+0000: 23223: error : hypervDebugHandler:1366 : openwsman error: Error during serialization
error: Failed to connect to the hypervisor
error: internal error: Could not deserialize pull response item


Version-Release number of selected component (if applicable):
Hyper-V 2012 R2
Libvirt 1.2.16

How reproducible:


Steps to Reproduce:
1.virsh connect hyperv://<ip address>/?transport=http
2.
3.

Actual results:
Should get the details from Hyper-V

Expected results:


Additional info:
Comment 1 Cole Robinson 2016-04-10 18:25:39 EDT
Unfortunately the hyper-v driver isn't materially maintained in libvirt.git these days. I suggest mailing libvir-list or libvirt-users, it's probably your best bet to see if someone knows a workaround
Comment 2 Michal Nowak 2016-04-28 09:01:24 EDT
Documentation states (https://libvirt.org/drvhyperv.html) that only Hyper-V from WS 2008 R2 is supported. I am also unable to connect to Hyper-V 2012 R2:

error: failed to connect to the hypervisor
error: internal error: Transport error during enumeration: User, password or similar was not accepted (26)

Note You need to log in before you can comment on or make changes to this bug.